landscape-client_16.03-0ubuntu2.16.04.7_amd64.deb


Advertisement

Description

landscape-client - The Landscape administration system client

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Proposed Main amd64
Package filename landscape-client_16.03-0ubuntu2.16.04.7_amd64.deb
Package name landscape-client
Package version 16.03
Package release 0ubuntu2.16.04.7
Package architecture amd64
Package type deb
Category admin
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 18.90 KB
Installed size 94.00 KB
Landscape is a web-based tool for managing Ubuntu systems. This
package is necessary if you want your machine to be managed in a
Landscape account.
This package provides the Landscape client and requires a Landscape account.

Alternatives

Package Version Architecture Repository
landscape-client_16.03-0ubuntu2.16.04.7_i386.deb 16.03 i386 Ubuntu Proposed Main
landscape-client_16.03-0ubuntu2.16.04.6_i386.deb 16.03 i386 Ubuntu Updates Main
landscape-client_16.03-0ubuntu2.16.04.6_amd64.deb 16.03 amd64 Ubuntu Updates Main
landscape-client_16.03-0ubuntu2_i386.deb 16.03 i386 Ubuntu Main
landscape-client_16.03-0ubuntu2_amd64.deb 16.03 amd64 Ubuntu Main
landscape-client - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
landscape-common = 16.03-0ubuntu2.16.04.7
libc6 >= 2.4
python-pycurl -
python-twisted-web -
python:any -

Conflicts

Name Value
landscape-client-ui -
landscape-client-ui-install -

Replaces

Name Value
landscape-client-ui -
landscape-client-ui-install -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package landscape-client_16.03-0ubuntu2.16.04.7_amd64.deb
Source Package landscape-client

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    deb http://archive.ubuntu.com/ubuntu/ xenial-proposed main
  2. Update the package index:
    # sudo apt-get update
  3. Install landscape-client deb package:
    # sudo apt-get install landscape-client

Changelog

2019-06-28 - Simon Poirier <simon.poirier@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.7) xenial; urgency=medium
* d/p/product-name-vminfo-1828217.patch: Add product_name to things scanned
for vm_info (LP: #1828217)
* d/landscape-client.postinst: Set default value if data_path is
missing. (LP: #1728681)
* d/p/stagger-launch-1788518.patch: Add option to stagger launch of broker
plugins. (LP: #1788518)
* d/landscape-client.init: Fix init script stop action (LP: #1833137)
2019-02-08 - Simon Poirier <simon.poirier@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.6) xenial; urgency=medium
* debian/patches/mem-usage-1685885.patch: Reduce memory usage by
unused twisted logs. (LP: #1685885)
2018-11-27 - Simon Poirier <simon.poirier@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.5) xenial; urgency=medium
* debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
hypervisor (LP: #1788219)
* Fixes for release-upgrade (LP: #1699179).
- debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
release-upgrader is running before apt-update. (LP: #1699179)
- debian/patches/release-upgrade-success.patch: Enable landscape-client to
survive trusty upgrade. (LP: #1670291)
- debian/patches/post-upgrade-reboot.patch: Force reboot operation in
case systemd fails. (LP: #1670291)
* debian/patches/1616116-resync-loop.patch:
Clear hash id database on package resync. (LP: #1616116)
2018-03-26 - Simon Poirier <simon.poirier@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.4) xenial; urgency=medium
* d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
kvm hypervisor (LP: #1754073)
2018-01-23 - Eric Desrochers <eric.desrochers@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.3) xenial; urgency=medium
* d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
Sets vm_info to kvm for new AWS EC2 C5 instances. (LP: #1742531)
* d/p/set-vm-info-to-kvm-for-digitalocean-instances.patch:
Sets vm_info to kvm for digitalocean instances. (LP: #1743232)
2017-11-10 - Andreas Hasenack <andreas@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.2) xenial; urgency=medium
[ Simon Poirier ]
* Add proxy handling to package reporter. (LP: #1531150)
* Fix regression in configuration hook under install-cd chroot (LP: #1699789)
* Report autoremovable packages (LP: #1208393)
* No not re-register client by default (LP: #1618483)
2017-03-20 - Bjorn Tillenius <bjorn@canonical.com>
landscape-client (16.03-0ubuntu2.16.04.1) xenial; urgency=medium
* Don't report packages that are coming from backports, so that Landscape
doesn't try to upgrade to versions of packages that are in backports.
(LP: #1668583)
2016-04-05 - Andreas Hasenack <andreas@canonical.com>
landscape-client (16.03-0ubuntu2) xenial; urgency=medium
* Cope with an api change in python-swift that broke swift storage
reporting in Autopilot. (LP: #1563565)
2016-03-21 - Andreas Hasenack <andreas@canonical.com>
landscape-client (16.03-0ubuntu1) xenial; urgency=medium
* New upstream release 16.03:
- Drop UI packages for xenial (LP: #1557502)
- Fix xenial test failures (LP: #1548946, #1551892)
- Fix curl test failures (LP: #1462427)
- Fix user listing on server (LP: #1508110, #1532887, #1508110, #1508110)
- Add support for s390x CPU arch (LP: #1541074)
- Fix creating a file before the parent directory exists (LP: #1546743)
- Add more information about ssl errors during registation (LP: #1409700)
- Retry apt-get update on errors (LP: #1398090)
- Better SSL error and user interaction
- Don't retry package operations in the case of a system error
(LP: #1444419)
- Fix container detection under systemd (LP: #1449920)
* Removed patches already applied upstream: fix-users-reporting-take2.patch,
s390x-support.patch and bug-1508110-resync-users-on-upgrade.patch

See Also

Package Description
landscape-common_16.03-0ubuntu2.16.04.7_amd64.deb The Landscape administration system client - Common files
libblkid-dev_2.27.1-6ubuntu3.9_amd64.deb block device ID library - headers and static libraries
libblkid1_2.27.1-6ubuntu3.9_amd64.deb block device ID library
libfdisk-dev_2.27.1-6ubuntu3.9_amd64.deb fdisk partitioning library - headers and static libraries
libfdisk1_2.27.1-6ubuntu3.9_amd64.deb fdisk partitioning library
libmount-dev_2.27.1-6ubuntu3.9_amd64.deb device mounting library - headers and static libraries
libmount1_2.27.1-6ubuntu3.9_amd64.deb device mounting library
libpam-cracklib_1.1.8-3.2ubuntu2.2_amd64.deb PAM module to enable cracklib support
libpam-doc_1.1.8-3.2ubuntu2.2_all.deb Documentation of PAM
libpam-modules-bin_1.1.8-3.2ubuntu2.2_amd64.deb Pluggable Authentication Modules for PAM - helper binaries
libpam-modules_1.1.8-3.2ubuntu2.2_amd64.deb Pluggable Authentication Modules for PAM
libpam-runtime_1.1.8-3.2ubuntu2.2_all.deb Runtime support for the PAM library
libpam0g-dev_1.1.8-3.2ubuntu2.2_amd64.deb Development files for PAM
libpam0g_1.1.8-3.2ubuntu2.2_amd64.deb Pluggable Authentication Modules library
libsmartcols-dev_2.27.1-6ubuntu3.9_amd64.deb smart column output alignment library - headers and static libraries
Advertisement
Advertisement